MATLAB Answers

0

Questions about mapping toolbox

Asked by Shibing Liu on 9 Jan 2017
Latest activity Commented on by Walter Roberson
on 7 Jul 2017
I tried to run following codes. But it gave a 0x1 empty 'layers' and following warning. Does anyone know what is happening please? I am trying to get the elevation information from a map server. Thank you for your help.
layers = wmsfind('nasa.network*elev', 'SearchField', 'serverurl');
layers = wmsupdate(layers);
Warning: An error occurred while attempting to update layers from the server, 'http://www.nasa.network.com/elev?'. These layers are being removed from
the layer array. The number of layers from this server that are being removed from the layer array is 11. The error message returned by the server is:
'Expected the capabilities document from the server, 'http://www.nasa.network.com/elev?', to contain valid XML.'.

  1 Comment

I confirm the problem. Unfortunately, I do not have any ideas why it is happening.

Sign in to comment.

Tags

Products

3 Answers

Answer by Ed Marquez on 12 Jan 2017
Edited by Ed Marquez on 12 Jan 2017
 Accepted Answer

I was able to run the code you shared with no warnings or errors. 'layers' was generated and has the 11 layers that are expected. I attached the variable 'layers' as a MAT file to this answer so you can check.
It seems like the issue could be computer or connection specific...
Also, I ran the code in all MATLAB versions between R2014a and R2016b and 'layers' was always generated, so the issue may not be related to a specific MATLAB version.

  4 Comments

Show 1 older comment
Not really still having the same problem with R2016b.
I'm not able to use the wmsupdate and wmsread functions. Everytime I use them the above error is returned.
I just tested now with the code posted in the original Question, and the code worked for me in R2017a but not in R2016b.

Sign in to comment.


Answer by Alessandro on 9 May 2017
Edited by Alessandro on 9 May 2017

Hi. Have you found a solution for the issue? I'm experiencing the same problem.

  1 Comment

Alessandro, which MATLAB version are you using?

Sign in to comment.


Answer by Olga Galluppi on 7 Jul 2017

I have the same problem, can someone help ?

  1 Comment

Olga, which MATLAB release are you using?

Sign in to comment.